<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("perm" . "s" => base64_decode("cGVyb" . "XM="), "_c61345ccedc" . "39c197742776" . "6275e2da6" => base64_decode("aW1hZ2VfZ" . "2FsbGVyeQ" . "=="), "_df945ac2fbdd1576202fb48096eb43f" . "9" => base64_decode("YWRtaW4u" . "cGFuZWxz" . "X2xpc3Q="), "_61a5ceb347019e37116d" . "4d2907163b82" => base64_decode("bWF0Y" . "2hfYW" . "xs"));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchGallery implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\GalleryIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_df945ac2fbdd15" . "76202fb48096eb4" . "3f9"]}->GetOne($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_c61345cce" . "dc39c19774" . "27766275e2" . "da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["per" . "ms"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_61a5ceb347019e37116d4d2" . "907163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\GalleryView();
    }
}